dofile("Scripts/levelManager.lua");

LManager = LevelManager.create();

LManager:AddGame(eGAME_METER);
LManager:AddGame(eGAME_SPIN);
LManager:AddGame(eGAME_RECALL);
LManager:AddGame(eGAME_SHELL);
LManager:AddGame(eGAME_COMBO);
LManager:AddGame(eGAME_TAG);

--square block formation 8
--LManager:AddTable(eTYPE_TABLE1, 160, 260);
--LManager:AddTable(eTYPE_TABLE2, 360, 260);
--LManager:AddTable(eTYPE_TABLE3, 560, 260);
LManager:AddTable(eTYPE_TABLE4, 160, 375);
LManager:AddTable(eTYPE_TABLE6, 560, 375);
LManager:AddTable(eTYPE_TABLE7, 160, 490);
LManager:AddTable(eTYPE_TABLE8, 360, 490);
LManager:AddTable(eTYPE_TABLE9, 560, 490);

LManager:AddCandle(165, 74, 15000);
LManager:AddCandle(285, 74, 15000);
LManager:AddCandle(576, 74, 15000);

seated = LManager.GenSeated(eTYPE_SEATED2);
seated.tableIdx = 1;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED3);
seated.tableIdx = 2;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED10);
seated.tableIdx = 3;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED11);
seated.tableIdx = 4;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED12);
seated.tableIdx = 5;
LManager:AddSeated(seated);

-- table 1
guest = LManager.GenGuest(eTYPE_GUEST1);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 3000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 19000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 68000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 103000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 129000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 158000;
guest.needs[7] = eWANT_TALK;
guest.times[7] = 219000;
LManager:AddGuest(guest);

-- table 2
guest = LManager.GenGuest(eTYPE_GUEST2);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 14000;
guest.needs[2] = eWANT_GIFT;
guest.times[2] = 33000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 63000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 98000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 128000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 169000;
guest.needs[7] = eWANT_GIFT;
guest.times[7] = 213000;
LManager:AddGuest(guest);

-- table 3
guest = LManager.GenGuest(eTYPE_GUEST3);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 49000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 134000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 163000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 188000;
guest.needs[5] = eWANT_DRINK;
guest.times[5] = 200000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 221000;
LManager:AddGuest(guest);

-- table 4
guest = LManager.GenGuest(eTYPE_GUEST6);
guest.needs[1] = eWANT_GIFT;
guest.times[1] = 8000;
guest.needs[2] = eWANT_DRINK;
guest.times[2] = 38000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 74000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 108000;
guest.needs[5] = eWANT_GIFT;
guest.times[5] = 123000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 163000;
guest.needs[7] = eWANT_TALK;
guest.times[7] = 194000;
guest.needs[8] = eWANT_TALK;
guest.times[8] = 223000;
LManager:AddGuest(guest);

-- table 5
guest = LManager.GenGuest(eTYPE_GUEST9);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 44000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 79000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 93000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 109000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 139000;
guest.needs[6] = eWANT_DRINK;
guest.times[6] = 153000;
guest.needs[7] = eWANT_TALK;
guest.times[7] = 183000;
guest.needs[8] = eWANT_TALK;
guest.times[8] = 229000;
LManager:AddGuest(guest);

LManager:AdjustGuestHappiness(150);
LManager:SetSnackTime(20000);

LManager:SetLevelNumber(4,6);
LManager:SetLevelScores(5700, 6075);
LManager:SetLevelTime(30000);

gameObject = LManager:GenerateGameObject();

levelSetting = LManager:GenerateLevelSettings();